package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

/**
 * Created by hufy on 2017/9/4.
 */
public class ObjectStorageContainerModel {
    private String id;  // 容器id
    private String name; //  容器名称
    private Long itemCount; // 元素数量
    private Long size;  // 容器容量
    private Date createTime; // 创建时间
    private Integer isPublic; // 是否公共的  0 私有 1 公共
    private List<ObjectStorageItemModel> items;  //容器里的项

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getItemCount() {
        return itemCount;
    }

    public void setItemCount(Long itemCount) {
        this.itemCount = itemCount;
    }

    public Long getSize() {
        return size;
    }

    public void setSize(Long size) {
        this.size = size;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsPublic() {
        return isPublic;
    }

    public void setIsPublic(Integer isPublic) {
        this.isPublic = isPublic;
    }

    public List<ObjectStorageItemModel> getItems() {
        return items;
    }

    public void setItems(List<ObjectStorageItemModel> items) {
        this.items = items;
    }
}
